CREATE procedure [C6StagingPeriodico].[RP_ST_PromotoreBancario]   
as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_PromotoreBancario',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
truncate table C6StagingPeriodico.RP_PromotoreBancario  
insert into C6StagingPeriodico.RP_PromotoreBancario  
(  
chiavePB  
,codage  
,nome  
,cognome  
,[status]  
,livello  
,rete  
,indirizzo  
,numCivico  
,citta  
,prov  
,cap  
,nazione  
,ptel  
,tel  
,tipologia  
,grado  
,codManager   
)  
 select    
  chiavePB  
  ,codage  
  ,nome  
  ,cognome  
  ,[status]  
  ,livello  
  ,rete  
  ,indirizzo  
  ,numCivico  
  ,citta  
  ,prov  
  ,cap  
  ,nazione  
  ,ptel  
  ,tel  
  ,tipologia  
  ,grado  
  ,null --codManager   
 from [CONSUNI_PERIODICO].[ConsulenzaUnica].dbo.PromotoreBancario  
 ---- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_PromotoreBancario' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_PromotoreBancario'  
  )  
end